/*
 * lips
 * Copyright (C) 2013 -- The lips developers
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.agra.lips.editor.outline

import edu.stanford.nlp.trees.Tree
import java.util.List

/**
 * @brief Data structure for the outline tree
 */
class OutlineTree {
	@Property var String name
	@Property var List<OutlineTree> children

	/**
	 * @brief Default constructor
	 *
	 * Initializes the name from the trees label and the children from its children
	 */
	new(Tree t) {
		name = t.label.value
		children = t.children.map[new OutlineTree(it)]
	}

	/**
	 * @brief Name of the tree
	 */
	override toString() {
		name
	}

	/**
	 * @brief Checks whether the tree has children
	 */
	def isEmpty() {
		children.empty
	}
}
